bbc29bd6736814147329d6a35c4d39a96e90fa00
[debian/lxmenu-data.git] / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 pkgdatadir = $(datadir)/@PACKAGE@
18 pkglibdir = $(libdir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
21 install_sh_DATA = $(install_sh) -c -m 644
22 install_sh_PROGRAM = $(install_sh) -c
23 install_sh_SCRIPT = $(install_sh) -c
24 INSTALL_HEADER = $(INSTALL_DATA)
25 transform = $(program_transform_name)
26 NORMAL_INSTALL = :
27 PRE_INSTALL = :
28 POST_INSTALL = :
29 NORMAL_UNINSTALL = :
30 PRE_UNINSTALL = :
31 POST_UNINSTALL = :
32 subdir = .
33 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
34 $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
35 ChangeLog INSTALL NEWS TODO install-sh missing
36 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
37 am__aclocal_m4_deps = $(top_srcdir)/configure.in
38 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
39 $(ACLOCAL_M4)
40 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
41 configure.lineno config.status.lineno
42 mkinstalldirs = $(install_sh) -d
43 CONFIG_CLEAN_FILES =
44 SOURCES =
45 DIST_SOURCES =
46 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
47 html-recursive info-recursive install-data-recursive \
48 install-dvi-recursive install-exec-recursive \
49 install-html-recursive install-info-recursive \
50 install-pdf-recursive install-ps-recursive install-recursive \
51 installcheck-recursive installdirs-recursive pdf-recursive \
52 ps-recursive uninstall-recursive
53 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
54 distclean-recursive maintainer-clean-recursive
55 ETAGS = etags
56 CTAGS = ctags
57 DIST_SUBDIRS = $(SUBDIRS)
58 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
59 distdir = $(PACKAGE)-$(VERSION)
60 top_distdir = $(distdir)
61 am__remove_distdir = \
62 { test ! -d $(distdir) \
63 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
64 && rm -fr $(distdir); }; }
65 DIST_ARCHIVES = $(distdir).tar.gz
66 GZIP_ENV = --best
67 distuninstallcheck_listfiles = find . -type f -print
68 distcleancheck_listfiles = find . -type f -print
69 ACLOCAL = @ACLOCAL@
70 ALL_LINGUAS = @ALL_LINGUAS@
71 AMTAR = @AMTAR@
72 AUTOCONF = @AUTOCONF@
73 AUTOHEADER = @AUTOHEADER@
74 AUTOMAKE = @AUTOMAKE@
75 AWK = @AWK@
76 CATALOGS = @CATALOGS@
77 CATOBJEXT = @CATOBJEXT@
78 CC = @CC@
79 CCDEPMODE = @CCDEPMODE@
80 CFLAGS = @CFLAGS@
81 CPP = @CPP@
82 CPPFLAGS = @CPPFLAGS@
83 CYGPATH_W = @CYGPATH_W@
84 DATADIRNAME = @DATADIRNAME@
85 DEFS = @DEFS@
86 DEPDIR = @DEPDIR@
87 ECHO_C = @ECHO_C@
88 ECHO_N = @ECHO_N@
89 ECHO_T = @ECHO_T@
90 EGREP = @EGREP@
91 EXEEXT = @EXEEXT@
92 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
93 GMOFILES = @GMOFILES@
94 GMSGFMT = @GMSGFMT@
95 GREP = @GREP@
96 INSTALL = @INSTALL@
97 INSTALL_DATA = @INSTALL_DATA@
98 INSTALL_PROGRAM = @INSTALL_PROGRAM@
99 INSTALL_SCRIPT = @INSTALL_SCRIPT@
100 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
101 INSTOBJEXT = @INSTOBJEXT@
102 INTLLIBS = @INTLLIBS@
103 INTLTOOL_CAVES_RULE = @INTLTOOL_CAVES_RULE@
104 INTLTOOL_DESKTOP_RULE = @INTLTOOL_DESKTOP_RULE@
105 INTLTOOL_DIRECTORY_RULE = @INTLTOOL_DIRECTORY_RULE@
106 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
107 INTLTOOL_KBD_RULE = @INTLTOOL_KBD_RULE@
108 INTLTOOL_KEYS_RULE = @INTLTOOL_KEYS_RULE@
109 INTLTOOL_MERGE = @INTLTOOL_MERGE@
110 INTLTOOL_OAF_RULE = @INTLTOOL_OAF_RULE@
111 INTLTOOL_PERL = @INTLTOOL_PERL@
112 INTLTOOL_POLICY_RULE = @INTLTOOL_POLICY_RULE@
113 INTLTOOL_PONG_RULE = @INTLTOOL_PONG_RULE@
114 INTLTOOL_PROP_RULE = @INTLTOOL_PROP_RULE@
115 INTLTOOL_SCHEMAS_RULE = @INTLTOOL_SCHEMAS_RULE@
116 INTLTOOL_SERVER_RULE = @INTLTOOL_SERVER_RULE@
117 INTLTOOL_SERVICE_RULE = @INTLTOOL_SERVICE_RULE@
118 INTLTOOL_SHEET_RULE = @INTLTOOL_SHEET_RULE@
119 INTLTOOL_SOUNDLIST_RULE = @INTLTOOL_SOUNDLIST_RULE@
120 INTLTOOL_THEME_RULE = @INTLTOOL_THEME_RULE@
121 INTLTOOL_UI_RULE = @INTLTOOL_UI_RULE@
122 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
123 INTLTOOL_XAM_RULE = @INTLTOOL_XAM_RULE@
124 INTLTOOL_XML_NOMERGE_RULE = @INTLTOOL_XML_NOMERGE_RULE@
125 INTLTOOL_XML_RULE = @INTLTOOL_XML_RULE@
126 LDFLAGS = @LDFLAGS@
127 LIBOBJS = @LIBOBJS@
128 LIBS = @LIBS@
129 LTLIBOBJS = @LTLIBOBJS@
130 MAKEINFO = @MAKEINFO@
131 MKDIR_P = @MKDIR_P@
132 MKINSTALLDIRS = @MKINSTALLDIRS@
133 MSGFMT = @MSGFMT@
134 MSGFMT_OPTS = @MSGFMT_OPTS@
135 MSGMERGE = @MSGMERGE@
136 OBJEXT = @OBJEXT@
137 PACKAGE = @PACKAGE@
138 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
139 PACKAGE_NAME = @PACKAGE_NAME@
140 PACKAGE_STRING = @PACKAGE_STRING@
141 PACKAGE_TARNAME = @PACKAGE_TARNAME@
142 PACKAGE_VERSION = @PACKAGE_VERSION@
143 PATH_SEPARATOR = @PATH_SEPARATOR@
144 POFILES = @POFILES@
145 POSUB = @POSUB@
146 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
147 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
148 SET_MAKE = @SET_MAKE@
149 SHELL = @SHELL@
150 STRIP = @STRIP@
151 USE_NLS = @USE_NLS@
152 VERSION = @VERSION@
153 XGETTEXT = @XGETTEXT@
154 abs_builddir = @abs_builddir@
155 abs_srcdir = @abs_srcdir@
156 abs_top_builddir = @abs_top_builddir@
157 abs_top_srcdir = @abs_top_srcdir@
158 ac_ct_CC = @ac_ct_CC@
159 am__include = @am__include@
160 am__leading_dot = @am__leading_dot@
161 am__quote = @am__quote@
162 am__tar = @am__tar@
163 am__untar = @am__untar@
164 bindir = @bindir@
165 build_alias = @build_alias@
166 builddir = @builddir@
167 datadir = @datadir@
168 datarootdir = @datarootdir@
169 docdir = @docdir@
170 dvidir = @dvidir@
171 exec_prefix = @exec_prefix@
172 host_alias = @host_alias@
173 htmldir = @htmldir@
174 includedir = @includedir@
175 infodir = @infodir@
176 install_sh = @install_sh@
177 libdir = @libdir@
178 libexecdir = @libexecdir@
179 localedir = @localedir@
180 localstatedir = @localstatedir@
181 mandir = @mandir@
182 mkdir_p = @mkdir_p@
183 oldincludedir = @oldincludedir@
184 pdfdir = @pdfdir@
185 prefix = @prefix@
186 program_transform_name = @program_transform_name@
187 psdir = @psdir@
188 sbindir = @sbindir@
189 sharedstatedir = @sharedstatedir@
190 srcdir = @srcdir@
191 sysconfdir = @sysconfdir@
192 target_alias = @target_alias@
193 top_builddir = @top_builddir@
194 top_srcdir = @top_srcdir@
195 NULL =
196 SUBDIRS = \
197 po \
198 layout \
199 desktop-directories \
200 $(NULL)
201
202 EXTRA_DIST = \
203 $(NULL)
204
205 all: all-recursive
206
207 .SUFFIXES:
208 am--refresh:
209 @:
210 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
211 @for dep in $?; do \
212 case '$(am__configure_deps)' in \
213 *$$dep*) \
214 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
215 cd $(srcdir) && $(AUTOMAKE) --gnu \
216 && exit 0; \
217 exit 1;; \
218 esac; \
219 done; \
220 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
221 cd $(top_srcdir) && \
222 $(AUTOMAKE) --gnu Makefile
223 .PRECIOUS: Makefile
224 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
225 @case '$?' in \
226 *config.status*) \
227 echo ' $(SHELL) ./config.status'; \
228 $(SHELL) ./config.status;; \
229 *) \
230 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
231 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
232 esac;
233
234 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
235 $(SHELL) ./config.status --recheck
236
237 $(top_srcdir)/configure: $(am__configure_deps)
238 cd $(srcdir) && $(AUTOCONF)
239 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
240 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
241
242 # This directory's subdirectories are mostly independent; you can cd
243 # into them and run `make' without going through this Makefile.
244 # To change the values of `make' variables: instead of editing Makefiles,
245 # (1) if the variable is set in `config.status', edit `config.status'
246 # (which will cause the Makefiles to be regenerated when you run `make');
247 # (2) otherwise, pass the desired values on the `make' command line.
248 $(RECURSIVE_TARGETS):
249 @failcom='exit 1'; \
250 for f in x $$MAKEFLAGS; do \
251 case $$f in \
252 *=* | --[!k]*);; \
253 *k*) failcom='fail=yes';; \
254 esac; \
255 done; \
256 dot_seen=no; \
257 target=`echo $@ | sed s/-recursive//`; \
258 list='$(SUBDIRS)'; for subdir in $$list; do \
259 echo "Making $$target in $$subdir"; \
260 if test "$$subdir" = "."; then \
261 dot_seen=yes; \
262 local_target="$$target-am"; \
263 else \
264 local_target="$$target"; \
265 fi; \
266 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
267 || eval $$failcom; \
268 done; \
269 if test "$$dot_seen" = "no"; then \
270 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
271 fi; test -z "$$fail"
272
273 $(RECURSIVE_CLEAN_TARGETS):
274 @failcom='exit 1'; \
275 for f in x $$MAKEFLAGS; do \
276 case $$f in \
277 *=* | --[!k]*);; \
278 *k*) failcom='fail=yes';; \
279 esac; \
280 done; \
281 dot_seen=no; \
282 case "$@" in \
283 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
284 *) list='$(SUBDIRS)' ;; \
285 esac; \
286 rev=''; for subdir in $$list; do \
287 if test "$$subdir" = "."; then :; else \
288 rev="$$subdir $$rev"; \
289 fi; \
290 done; \
291 rev="$$rev ."; \
292 target=`echo $@ | sed s/-recursive//`; \
293 for subdir in $$rev; do \
294 echo "Making $$target in $$subdir"; \
295 if test "$$subdir" = "."; then \
296 local_target="$$target-am"; \
297 else \
298 local_target="$$target"; \
299 fi; \
300 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
301 || eval $$failcom; \
302 done && test -z "$$fail"
303 tags-recursive:
304 list='$(SUBDIRS)'; for subdir in $$list; do \
305 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
306 done
307 ctags-recursive:
308 list='$(SUBDIRS)'; for subdir in $$list; do \
309 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
310 done
311
312 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
313 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
314 unique=`for i in $$list; do \
315 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
316 done | \
317 $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
318 END { if (nonempty) { for (i in files) print i; }; }'`; \
319 mkid -fID $$unique
320 tags: TAGS
321
322 TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
323 $(TAGS_FILES) $(LISP)
324 tags=; \
325 here=`pwd`; \
326 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
327 include_option=--etags-include; \
328 empty_fix=.; \
329 else \
330 include_option=--include; \
331 empty_fix=; \
332 fi; \
333 list='$(SUBDIRS)'; for subdir in $$list; do \
334 if test "$$subdir" = .; then :; else \
335 test ! -f $$subdir/TAGS || \
336 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
337 fi; \
338 done; \
339 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
340 unique=`for i in $$list; do \
341 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
342 done | \
343 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
344 END { if (nonempty) { for (i in files) print i; }; }'`; \
345 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
346 test -n "$$unique" || unique=$$empty_fix; \
347 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
348 $$tags $$unique; \
349 fi
350 ctags: CTAGS
351 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
352 $(TAGS_FILES) $(LISP)
353 tags=; \
354 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
355 unique=`for i in $$list; do \
356 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
357 done | \
358 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
359 END { if (nonempty) { for (i in files) print i; }; }'`; \
360 test -z "$(CTAGS_ARGS)$$tags$$unique" \
361 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
362 $$tags $$unique
363
364 GTAGS:
365 here=`$(am__cd) $(top_builddir) && pwd` \
366 && cd $(top_srcdir) \
367 && gtags -i $(GTAGS_ARGS) $$here
368
369 distclean-tags:
370 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
371
372 distdir: $(DISTFILES)
373 $(am__remove_distdir)
374 test -d $(distdir) || mkdir $(distdir)
375 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
376 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
377 list='$(DISTFILES)'; \
378 dist_files=`for file in $$list; do echo $$file; done | \
379 sed -e "s|^$$srcdirstrip/||;t" \
380 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
381 case $$dist_files in \
382 */*) $(MKDIR_P) `echo "$$dist_files" | \
383 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
384 sort -u` ;; \
385 esac; \
386 for file in $$dist_files; do \
387 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
388 if test -d $$d/$$file; then \
389 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
390 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
391 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
392 fi; \
393 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
394 else \
395 test -f $(distdir)/$$file \
396 || cp -p $$d/$$file $(distdir)/$$file \
397 || exit 1; \
398 fi; \
399 done
400 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
401 if test "$$subdir" = .; then :; else \
402 test -d "$(distdir)/$$subdir" \
403 || $(MKDIR_P) "$(distdir)/$$subdir" \
404 || exit 1; \
405 distdir=`$(am__cd) $(distdir) && pwd`; \
406 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
407 (cd $$subdir && \
408 $(MAKE) $(AM_MAKEFLAGS) \
409 top_distdir="$$top_distdir" \
410 distdir="$$distdir/$$subdir" \
411 am__remove_distdir=: \
412 am__skip_length_check=: \
413 distdir) \
414 || exit 1; \
415 fi; \
416 done
417 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
418 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
419 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
420 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
421 || chmod -R a+r $(distdir)
422 dist-gzip: distdir
423 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
424 $(am__remove_distdir)
425
426 dist-bzip2: distdir
427 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
428 $(am__remove_distdir)
429
430 dist-lzma: distdir
431 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
432 $(am__remove_distdir)
433
434 dist-tarZ: distdir
435 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
436 $(am__remove_distdir)
437
438 dist-shar: distdir
439 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
440 $(am__remove_distdir)
441
442 dist-zip: distdir
443 -rm -f $(distdir).zip
444 zip -rq $(distdir).zip $(distdir)
445 $(am__remove_distdir)
446
447 dist dist-all: distdir
448 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
449 $(am__remove_distdir)
450
451 # This target untars the dist file and tries a VPATH configuration. Then
452 # it guarantees that the distribution is self-contained by making another
453 # tarfile.
454 distcheck: dist
455 case '$(DIST_ARCHIVES)' in \
456 *.tar.gz*) \
457 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
458 *.tar.bz2*) \
459 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
460 *.tar.lzma*) \
461 unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
462 *.tar.Z*) \
463 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
464 *.shar.gz*) \
465 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
466 *.zip*) \
467 unzip $(distdir).zip ;;\
468 esac
469 chmod -R a-w $(distdir); chmod a+w $(distdir)
470 mkdir $(distdir)/_build
471 mkdir $(distdir)/_inst
472 chmod a-w $(distdir)
473 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
474 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
475 && cd $(distdir)/_build \
476 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
477 $(DISTCHECK_CONFIGURE_FLAGS) \
478 && $(MAKE) $(AM_MAKEFLAGS) \
479 && $(MAKE) $(AM_MAKEFLAGS) dvi \
480 && $(MAKE) $(AM_MAKEFLAGS) check \
481 && $(MAKE) $(AM_MAKEFLAGS) install \
482 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
483 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
484 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
485 distuninstallcheck \
486 && chmod -R a-w "$$dc_install_base" \
487 && ({ \
488 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
489 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
490 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
491 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
492 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
493 } || { rm -rf "$$dc_destdir"; exit 1; }) \
494 && rm -rf "$$dc_destdir" \
495 && $(MAKE) $(AM_MAKEFLAGS) dist \
496 && rm -rf $(DIST_ARCHIVES) \
497 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
498 $(am__remove_distdir)
499 @(echo "$(distdir) archives ready for distribution: "; \
500 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
501 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
502 distuninstallcheck:
503 @cd $(distuninstallcheck_dir) \
504 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
505 || { echo "ERROR: files left after uninstall:" ; \
506 if test -n "$(DESTDIR)"; then \
507 echo " (check DESTDIR support)"; \
508 fi ; \
509 $(distuninstallcheck_listfiles) ; \
510 exit 1; } >&2
511 distcleancheck: distclean
512 @if test '$(srcdir)' = . ; then \
513 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
514 exit 1 ; \
515 fi
516 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
517 || { echo "ERROR: files left in build directory after distclean:" ; \
518 $(distcleancheck_listfiles) ; \
519 exit 1; } >&2
520 check-am: all-am
521 check: check-recursive
522 all-am: Makefile
523 installdirs: installdirs-recursive
524 installdirs-am:
525 install: install-recursive
526 install-exec: install-exec-recursive
527 install-data: install-data-recursive
528 uninstall: uninstall-recursive
529
530 install-am: all-am
531 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
532
533 installcheck: installcheck-recursive
534 install-strip:
535 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
536 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
537 `test -z '$(STRIP)' || \
538 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
539 mostlyclean-generic:
540
541 clean-generic:
542
543 distclean-generic:
544 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
545
546 maintainer-clean-generic:
547 @echo "This command is intended for maintainers to use"
548 @echo "it deletes files that may require special tools to rebuild."
549 clean: clean-recursive
550
551 clean-am: clean-generic mostlyclean-am
552
553 distclean: distclean-recursive
554 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
555 -rm -f Makefile
556 distclean-am: clean-am distclean-generic distclean-tags
557
558 dvi: dvi-recursive
559
560 dvi-am:
561
562 html: html-recursive
563
564 info: info-recursive
565
566 info-am:
567
568 install-data-am:
569
570 install-dvi: install-dvi-recursive
571
572 install-exec-am:
573
574 install-html: install-html-recursive
575
576 install-info: install-info-recursive
577
578 install-man:
579
580 install-pdf: install-pdf-recursive
581
582 install-ps: install-ps-recursive
583
584 installcheck-am:
585
586 maintainer-clean: maintainer-clean-recursive
587 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
588 -rm -rf $(top_srcdir)/autom4te.cache
589 -rm -f Makefile
590 maintainer-clean-am: distclean-am maintainer-clean-generic
591
592 mostlyclean: mostlyclean-recursive
593
594 mostlyclean-am: mostlyclean-generic
595
596 pdf: pdf-recursive
597
598 pdf-am:
599
600 ps: ps-recursive
601
602 ps-am:
603
604 uninstall-am:
605
606 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
607 install-strip
608
609 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
610 all all-am am--refresh check check-am clean clean-generic \
611 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
612 dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
613 distclean-generic distclean-tags distcleancheck distdir \
614 distuninstallcheck dvi dvi-am html html-am info info-am \
615 install install-am install-data install-data-am install-dvi \
616 install-dvi-am install-exec install-exec-am install-html \
617 install-html-am install-info install-info-am install-man \
618 install-pdf install-pdf-am install-ps install-ps-am \
619 install-strip installcheck installcheck-am installdirs \
620 installdirs-am maintainer-clean maintainer-clean-generic \
621 mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
622 tags-recursive uninstall uninstall-am
623
624 # Tell versions [3.59,3.63) of GNU make to not export all variables.
625 # Otherwise a system limit (for SysV at least) may be exceeded.
626 .NOEXPORT: